/*
 * MockServiceProvider.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.mock.container.provider;

import jp.co.cybec.cb3.container.provider.ServiceProvider;
import jp.co.cybec.cb3.container.service.Service;
import jp.co.cybec.cb3.session.RuntimeParameters;
import jp.co.cybec.cb3.session.ServiceParameters;

/**
 * サービスプロバイダのモック。
 * @author Naoko Sugimoto
 */
public class MockServiceProvider implements ServiceProvider {

	/** サービス */
	private Service service = null;

	/**
	 * サービスを実行するメソッドです。
	 * このモックでは、常に0を返します。
	 * @param serviceParameters サービスパラメータ。
	 * @param runtimeParameters 起動パラメータ。
	 * @return 実行結果。
	 */
	public int callService(ServiceParameters serviceParameters, RuntimeParameters runtimeParameters) {
		return 0;
	}

	/**
	 * サービスをセットします。
	 * @param service サービス。
	 */
	public void setService(Service service) {
		this.service = service;
	}

	/**
	 * サービスを返します。
	 */
	public Service getService() {
		return service;
	}
}
